/* aufgabeL1-4.ino
 *  Handreichungen Wahlfach BPE 10 Robotik
*/ 

#include "motormovement.h"



//before execute loop() function,
//setup() function will execute first and only execute once
void setup() {
  Serial.begin(9600);//open serial and set the baudrate
  pinMode(IN1, OUTPUT); //before useing io pin, pin mode must be set first
  pinMode(IN2, OUTPUT);
  pinMode(IN3, OUTPUT);
  pinMode(IN4, OUTPUT);
  pinMode(ENA, OUTPUT);
  pinMode(ENB, OUTPUT);
}

//Repeat execution
void loop() {
  forward();  //go forward
  setSpeed(100);
  delay(1000);
  right();
  setSpeed(120);
  delay(2000);
  stop();
  exit(0);
}
